/*===========================================================================*
 | Implementation file main.c
 |   implements : 
 |
 |      summary :  Main of the application
 |
 | Creator : Sylvie Rohrer
 | Creation date : 30.11.2006
 | Copyright: HE-ARC, SWISSCUBE all rights reserved
 |
 | Modification tag : //MODIF1
 |
 | Version of the file : 1
 *===========================================================================*/

#include "scI2C_PIC18.h"
#include <pic18.h>

#define I2C_SLAVE_WRITE 	0x90	/* 10010000b  */
#define I2C_SLAVE_READ  	0x91	/* 10010001b  */
#define I2C_TC74CMD		0x54	/* character 'T' */
#define I2C_ADCMD_0		0x30	/* character '0' */
#define I2C_ADCMD_7		0x37	/* character '7' */


/***********************************************************/
int main(void)
/* Main application
************************************************************/
{
	char l_cValue = 0;	// To stock the result
	
	i2c_init(1);	// Master mode
	i2c_start();
	i2c_write(I2C_SLAVE_WRITE);
	if (ACKSTAT)  // test received ack bit state
    {
		i2c_stop();
        return 0;            // bus device responded with  NOT ACK
    }  

	i2c_write(I2C_TC74CMD);
 	if (ACKSTAT)  // test received ack bit state
    {
		i2c_stop();
        return 0;            // bus device responded with  NOT ACK
    }      

	i2c_restart();
	i2c_write(I2C_SLAVE_READ);
	l_cValue = i2c_read();
	i2c_nack();
	i2c_stop();
	
	return 0;
}
